Package groovy.text

# Class TemplateParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.text.TemplateParseException

All Implemented Interfaces:
  `Serializable`

public class TemplateParseException extends RuntimeException
A custom exception class to flag template parsing errors

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateParseException(int lineNumber, int column)`
  Creates an exception for a parse failure at the supplied template position.
  `TemplateParseException(String message, int lineNumber, int column)`
  Creates an exception for a parse failure at the supplied template position.
  `TemplateParseException(String message, Throwable cause, int lineNumber, int column)`
  Creates an exception for a parse failure at the supplied template position.
  `TemplateParseException(Throwable t, int lineNumber, int column)`
  Creates an exception for a parse failure at the supplied template position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  Returns the column where parsing failed.
  `int`
  `getLineNumber()`
  Returns the line where parsing failed.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TemplateParseException

    public TemplateParseException(int lineNumber, int column)
    Creates an exception for a parse failure at the supplied template position.
    Parameters:
      `lineNumber` - one-based line number in the template source
      `column` - one-based column number in the template source

  - ### TemplateParseException

    public TemplateParseException(String message, int lineNumber, int column)
    Creates an exception for a parse failure at the supplied template position.
    Parameters:
      `message` - a description of the parse failure
      `lineNumber` - one-based line number in the template source
      `column` - one-based column number in the template source

  - ### TemplateParseException

    public TemplateParseException(String message, Throwable cause, int lineNumber, int column)
    Creates an exception for a parse failure at the supplied template position.
    Parameters:
      `message` - a description of the parse failure
      `cause` - the underlying parse failure
      `lineNumber` - one-based line number in the template source
      `column` - one-based column number in the template source

  - ### TemplateParseException

    public TemplateParseException(Throwable t, int lineNumber, int column)
    Creates an exception for a parse failure at the supplied template position.
    Parameters:
      `t` - the underlying parse failure
      `lineNumber` - one-based line number in the template source
      `column` - one-based column number in the template source

- ## Method Details

  - ### getLineNumber

    public int getLineNumber()
    Returns the line where parsing failed.
    Returns:
      the one-based line number of the parse failure

  - ### getColumn

    public int getColumn()
    Returns the column where parsing failed.
    Returns:
      the one-based column number of the parse failure